# Get ratecard for payment method

> Management API · Payment

```http
GET https://app.mk.io/api/v1/organization/paymentMethods/{paymentmethod_id}/rateCard
```

Returns ratecard information for the specified payment method.

RBAC Capability Required: `core.subscription.get`

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `paymentmethod_id` | string | Yes | _format: uuid_ |

## Example request

```bash
curl -X GET "https://app.mk.io/api/v1/organization/paymentMethods/{paymentmethod_id}/rateCard" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — OK

- `kind` · string · Optional — The type of the resource.
- `metadata` · object · **Required** — Metadata pertaining to creation and last modification of the resource.
  - `isPrivateOffer` · boolean · **Required** — Whether this rate card is a private offer to be used by one customer only.
  - `paymentMethodId` · string · **Required** · _format: uuid_ — Unique ID for this Payment Method.
  - `productPublicationId` · string · **Required** · _format: uuid_ — Unique ID for this Rate Card.
  - `productPublicationName` · string · **Required** — Name of this Rate Card.
- `spec` · object · **Required** — The rate card specification.
  - `currency` · string · **Required** — The currency for the prices in the rate card.
  - `rateCard` · list of objects · **Required** — Rate card for this payment method.
    - Array items (object):
      - `family` · string · **Required** — The family of the rate card entry.
      - `prices` · list of objects · **Required** — A list of meter prices associated with family and solution.
        - Array items (object):
          - `displayName` · string or null · **Required** — The display name of the meter.
          - `locationPrices` · list of objects · Optional — The price per unit for the meter for individual locations.
            - Array items (object):
              - `locationGroup` · string · **Required** — The name of the location group.
              - `price` · double · **Required** — The price per unit for the meter.
              - `sku` · string or null · **Required** — The SKU identifier for the meter.
          - `name` · string · **Required** — Meter name.
          - `price` · double · **Required** — The price per unit for the meter.
          - `sku` · string or null · **Required** — The SKU identifier for the meter.
          - `unit` · string or null · **Required** — The unit of measurement for the meter.
      - `solution` · string · **Required** — The solution associated with the rate card entry.

Example:

```json
{
  "kind": "string",
  "metadata": {
    "isPrivateOffer": true,
    "paymentMethodId": "00000000-0000-0000-0000-000000000000",
    "productPublicationId": "00000000-0000-0000-0000-000000000000",
    "productPublicationName": "string"
  },
  "spec": {
    "currency": "USD",
    "rateCard": [
      {
        "family": "Video Processing",
        "prices": [
          {
            "displayName": "Advanced SD",
            "name": "advanced_sd(video_encoding_ondemand)",
            "price": 0.02,
            "sku": "AAS1010154",
            "unit": "minutes"
          },
          {
            "displayName": "Advanced HD",
            "name": "advanced_hd(video_encoding_ondemand)",
            "price": 0.04,
            "sku": "AAS1010155",
            "unit": "minutes"
          }
        ],
        "solution": "VOD Encoding"
      }
    ]
  }
}
```

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 401 — Unauthorized

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 403 — Forbidden

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 404 — Not Found

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 429 — Too Many Requests

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 500 — Internal Server Error

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

---

Source spec: `management-api` · operationId: `[get]_/api/v1/organization/paymentMethods/{paymentmethod_id}/rateCard`
